\section{The network}
\person{Daniel Kahn Gillmor, Andrew McMillan}

We had a gigabit uplink from SARNET at Banski Dvor. The connectivity
came into a 4-processor amd64 gateway (\texttt{dc11fw}) with a total
of 7 gigabit NICs available. We were allocated an IPv4 /22 block. We
assigned public IP addresses to infrastructure machinery (attached
directly to the \texttt{dc11fw}). We connected the main internal
network as a single flat ethernet domain, connected to \texttt{dc11fw}
on an interface named \texttt{eth-users}. \texttt{dc11fw} provided
DHCP for an RFC 1918 /21 range of IPv4 and a NAT for outbound traffic.

We did not have direct IPv6 connectivity, but \texttt{dc11fw} also had
a 6to4 tunnel connected to a host in Germany. \texttt{dc11fw} ran
radvd to announce public IPv6 addresses and routes to machines on the
internal network.

The server room was wired with cat 5e directly to an unmanaged gigabit
switch backstage upstairs of the main talks room, and cat 5e cabling
ran from the backstage switch throughout the rest of the building. We
had several Buffalo WHR-G54S acting both as access points for
802.11b/g wireless clients and as 10/100 miniswitches. The network
topology looked something like this:

\begin{center}
  \includegraphics[width=0.5\columnwidth]{images/network_diagram.png}
\end{center}

We had a 48-port managed 10/100 switch (Cisco Catalyst 3550) in each
of the two hacklabs, each with a very simple configuration.

\subsection{Video network}

\begin{wrapfigure}{r}{0.42\textwidth}
  \begin{center}
    \vspace{-82pt}
    \includegraphics[width=0.4\textwidth]{images/photos/5966038207_7667ccb823_b}
    \linebreak
    \imcap{Video team's needs put the highest stress in our network configuration}
    \vspace{-30pt}
  \end{center}
\end{wrapfigure}

We provided a separate physical ethernet domain for exclusive use of
the video team. This was connected to \texttt{dc11fw} via a dedicated
NIC, and ran between camera stations in both talk rooms. This subnet
was allocated its own /24 of RFC 1918 addresses, and no DHCP service
was run. Video-Team machines were manually-configured. The network
topology looked like this:

\begin{center}
  \includegraphics[width=0.33\columnwidth]{images/video_network_diagram.png}
\end{center}

This network was unmanaged gigabit throughout. We tested
point-to-point connections between machines with iperf, and saw
performance of \textasciitilde 930 Mbps for unidirectional TCP streams.


\subsection{Wireless}

\begin{wrapfigure}{r}{0.5\textwidth}
  \begin{center}
    \vspace{-70pt}
    \includegraphics[width=0.47\textwidth]{images/photos/5974894816_69a3171874_b}
    \linebreak
    \imcap{Wireless networking with DebConf's density can be tricky}
    \vspace{-30pt}
  \end{center}
\end{wrapfigure}

The wireless APs (Buffalo WHR-G54S) were configured and deployed to
provide roaming capabilities, and efforts were made to ensure
neighboring nodes used distinct channels to avoid interference.  To
provide sufficient access points for the expected numbers we used
channels 1, 5, 9 and 13 in rotation around the conference venue, as is
standard in dense environments.

During DebCamp, we increasingly found the wireless was subject to severe
packet loss and sometimes complete failure during times of peak use,
which caused some people to switch to wired networking.  It is important
to manage attendees expectations of what can be achieved for a wireless
network at DebConf, where there are 300-odd very network-active
attendees, often with two or more devices attempting to connect
wirelessly.

The APs were initially configured with OpenWRT 'backfire' with a 2.6.x
kernel but the congestion problems experienced during DebCamp were
significantly reduced when we switched to the older 2.4 kernel with
proprietary drivers for the broadcom chipset.  It should be noted that
even when the access points were non-responsive for wireless they were
still responsive to logins and continued to operate well as switches,
where that was part of their function.

The Buffalo WHR-G54S access points are a somewhat older model now, first
used at DebConf9 in Cáceres and we should start to think about finding
replacement equipment for DebConf13 in Switzerland.
